## scilab 5.5.0~beta-1~git~20131204-1256

=== debian/changelog ===
scilab (5.5.0~beta-1~git~20131204-1256-1~exp1) unstable; urgency=low

  * New snapshot release
    - Enables the dynamic stack (a magic fortran work around). It makes
      Scilab build with gcc 4.8 and fixes some other arch related bugs.
      (Closes: #723644)
  * Upload in unstable
  * Generate the manpages on the fly with help2man (Closes: #731236)
  * Also install scilab.appdata.xml to the various software center
  * Install all icons at the right places (LP: #1257075)
  * Add libecj-java as build/run dependency for the Java binding

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 04 Dec 2013 13:14:05 +0100

scilab (5.5.0~beta-1-1~exp4) experimental; urgency=low

  * Force the Scilab dynamic stack for all archs
  * Come back on gcc 4.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 07 Nov 2013 17:22:25 +0100

scilab (5.5.0~beta-1-1~exp3) experimental; urgency=low

  * Only use gcc 4.7
  * Also ship CHANGES_5.5.X

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 25 Oct 2013 01:20:09 +0200

scilab (5.5.0~beta-1-1~exp2) experimental; urgency=low

  * Force the usage of gfortran 4.7
    Probably related to http://gcc.gnu.org/ml/fortran/2013-08/msg00077.html

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 15 Oct 2013 16:23:53 +0200

scilab (5.5.0~beta-1-1~exp1) experimental; urgency=low

  * New upstream release
  * Enable MPI features

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 21 Aug 2013 14:13:14 +0200
