## scilab 5.5.0~beta-1~git~20131216-1627

=== debian/changelog ===
scilab (5.5.0~beta-1~git~20131216-1627-1) unstable; urgency=low

  * New snapshot release
  * Remove the check of dependencies on xcos startup (Closes: #732065)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Dec 2013 16:20:22 +0100
