=== debian/changelog ===
scilab (5.5.0-2) unstable; urgency=medium

  * Bring back the signal processing library (Don't know why it was missing)
    (Closes: #738456) (LP: #1265929)
  * Bring back missing changelog items (Closes: #733279)
  * Restrict to the arch on which OpenJDK is available:
    amd64, armel, armhf, i386, mips, mipsel, powerpc, s390x, arm64, ppc64el
    (Partial Closes of #739235)
  * Disable dh_autoreconf call. Disabling of libtool in dh_autoreconf is failing
    It messes things up in Ubuntu with the weird Scilab library ordering stuff
    (LP: #1307875)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 16 Apr 2014 16:47:04 +0200

scilab (5.5.0-1) unstable; urgency=medium

  * Stable release (very similar to beta-1+git~20140406-1522)
  * Add back the wrongly removed depend-scicos.diff
  * Also disable ocamlopt features on mips mipsel s390x sparc

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 11 Apr 2014 15:02:39 +0200

scilab (5.5.0~beta-1+git~20140406-1522-3) unstable; urgency=medium

  * Fix the build under Ubuntu. Thanks to Clement David for the patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 10 Apr 2014 18:16:33 +0200

scilab (5.5.0~beta-1+git~20140406-1522-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Configure --without-modelica on arm64 and ppc64el, apparently the
    package wants ocamlopt.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 08 Apr 2014 11:23:53 +0200

scilab (5.5.0~beta-1+git~20140406-1522-1) unstable; urgency=medium

  * New snapshot release
  * jh.diff: Fix an issue in the construction of the doc
  * link-issue.diff: Fix a start up segfault (LP: #1299686)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 06 Apr 2014 15:26:17 +0200

scilab (5.5.0~beta-1+git~20140327-1135-1) unstable; urgency=medium

  * New snapshot release
  * Update the version name

  [ Matthias Klose ]
  * Build using dh-autoreconf
  * Fix linking of the scilab-bin and scilab-cli-bin binaries, don't misuse
    LDFLAGS macros to add libraries.
  * Fix linking of modules and shared libraries, don't misuse LDFLAGS to
    add libraries.
  * Fix java cpu directory for arm64 and ppc64el.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 27 Mar 2014 09:56:05 +0100

scilab (5.5.0~beta-1~git~20140324-1354-1) unstable; urgency=medium

  * New snapshot release (stable should be released next week)
  * Remove the scirenderer dependency
  * Standards-Version updated to 3.9.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 24 Mar 2014 13:58:01 +0100

scilab (5.3.3-10) unstable; urgency=low

  * Fix also the javadoc encoding issue (Closes: #672618)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 20 May 2012 16:55:54 +0200

scilab (5.3.3-9) unstable; urgency=low

  * Fix a build issue with openjdk7 (Closes: #672618)
  * Get ride of the watcher. The doc build process is way faster now
    (Closes: #673292)
  * Fix a bug with 32 bit userland and 64 bit kernel (Closes: #631813)
  * Standards-Version updated to version 3.9.3
  * Ignore "scilab-doc: doc-package-depends-on-main-package depends"

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 May 2012 17:39:55 +0200

scilab (5.3.3-8) unstable; urgency=low

  * Fix a bug on the startup of Xcos because the new version of hdf5
    in the archive is 1.8.8 (Closes: #666215)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 29 Mar 2012 21:08:55 +0200

scilab (5.3.3-7) unstable; urgency=low

  * Change dependency libhdf5-serial-dev => libhdf5-dev
  * Update the dependency on jhdf to version 2.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 18 Jan 2012 18:36:36 +0100

scilab (5.3.3-6) unstable; urgency=low

  * If scilab-doc is not install, do not trigger an error. Just show a warning.
    This will avoid error link in the bug #654621
  * Update of the description
  * Add an explicit dependency on libjgoodies-looks-java

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 11 Jan 2012 20:31:55 +0100
