=== debian/control ===
--- 
+++ 
@@ -14,6 +14,8 @@
  libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.0-rc8), libgl1-mesa-dev,
  libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
  libskinlf-java,
+# graphic
+ libfreehep-graphics2d-java, libfreehep-graphicsio-emf-java,
 # Documentation
  libjeuclid-core-java (>= 3.1.3), libbatik-java (>= 1.7), fop (>= 0.95),
  javahelp2, libsaxon-java, libavalon-framework-java, docbook-xsl,
@@ -23,7 +25,6 @@
  libmatio-dev (>= 1.5.0),
 # latex rendering
  libjlatexmath-java (>= 1.0.2),  libjlatexmath-fop-java (>= 1.0.2),
- libscirenderer-java (>= 1.1.0),
 # Xcos
  libjgraphx-java (>= 1.8.0.0), libhdf5-dev (>= 1.8.8),
 # MPI
@@ -32,7 +33,7 @@
  libecj-java,
 # Unitary testing
  ant-optional, junit4, libcobertura-java
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.scilab.org
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scilab/trunk/
@@ -105,7 +106,7 @@
 
 Package: scilab-include
 # any because of the bug #550243
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
 Depends: ${misc:Depends}
 Description: Scientific software package for numerical computations (include files)
  Scilab is a matrix-based scientific software package.
@@ -126,7 +127,7 @@
 
 
 Package: scilab-minimal-bin
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
 Depends: ${shlibs:Depends}, scilab-data (= ${source:Version}),
  ${misc:Depends}
 Replaces: scilab-bin, scilab-full-bin (<< 5.4.1-3)
@@ -151,15 +152,15 @@
  Please install the package "scilab" to have all features.
 
 Package: scilab-full-bin
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
 Depends: ${shlibs:Depends}, scilab-minimal-bin (= ${binary:Version}),
  libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.0-rc8), libjrosetta-java (>= 1.0.1),
  libjlatexmath-java (>= 1.0.2), libjlatexmath-fop-java (>= 1.0.2),
  libjeuclid-core-java, libbatik-java (>= 1.7), default-jre, bwidget,
  fop (>= 0.95), libsaxon-java, libavalon-framework-java, docbook-xsl,
  javahelp2, libjgraphx-java (>= 1.8.0.0), libjgoodies-looks-java,
- libskinlf-java, ${misc:Depends}, libscirenderer-java (>= 1.1.0),
- libecj-java
+ libskinlf-java, ${misc:Depends}, libecj-java, libfreehep-graphics2d-java,
+ libfreehep-graphicsio-emf-java
 Replaces: scilab (<< 5.0), scilab-bin, scilab-minimal-bin (<< 5.4.1-3), libscilab2-java (<< 5.4.1-4)
 Breaks: scilab-minimal-bin (<< 5.4.1-3), libscilab2-java (<< 5.4.1-4)
 Description: Scientific software package for numerical computations (all binary files)
@@ -182,7 +183,7 @@
 
 
 Package: scilab-minimal-bin-dbg
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
 Section: debug
 Priority: extra
 Pre-Depends: ${dpkg:Depends}
@@ -206,7 +207,7 @@
  This package contains the architecture specific debugging symbols.
 
 Package: scilab-full-bin-dbg
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
 Section: debug
 Priority: extra
 Pre-Depends: ${dpkg:Depends}
@@ -254,10 +255,3 @@
  control, signal processing, ...
  .
  This package also provides Xcos, a graphical editor to design hybrid
- dynamical systems models. Models can be designed, loaded, saved, compiled and
- simulated.
- Stable and efficient solution for industrial and academics needs, Xcos
- provides functionalities for modeling of mechanical systems (automotive,
- aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
- etc. Modelica capabilities are also provided.
- .
