=== debian/rules ===
--- 
+++ 
@@ -7,22 +7,27 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-archdir_map	:= amd64=amd64 i386=i386 lpia=i386 powerpc=ppc sparc=sparc ia64=ia64 armel=arm mips=mips mipsel=mipsel
+archdir_map	:= amd64=amd64 i386=i386 lpia=i386 powerpc=ppc sparc=sparc ia64=ia64 armel=arm mips=mips mipsel=mipsel ppc64el=ppc64le arm64=aarch64
 archdir		:= $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
 			$(filter $(DEB_HOST_ARCH)=%, $(archdir_map))))
 
 JAVA_HOME            := /usr/lib/jvm/default-java
 
 DEB_CONFIGURE_NORMAL_ARGS += --prefix=$(DEB_CONFIGURE_PREFIX) \
-	--with-fftw --enable-relocatable \
+	--with-fftw \
 	--with-umfpack --enable-build-localization \
 	--with-install-help-xml --enable-build-help \
 	--with-tcl-library=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--enable-mpi --disable-static-system-lib
 #	--enable-compilation-tests
 
+
+# requires ocamlopt
+ifneq (,$(filter $(DEB_HOST_ARCH),arm64 ppc64el mips mipsel s390x sparc))
+  DEB_CONFIGURE_NORMAL_ARGS += --without-modelica
+endif
+
 DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,--no-as-needed"
-
 
 ENABLE_BUILD_HELP_ARCHS := amd64 i386
 ifneq (,$(findstring $(DEB_HOST_ARCH),$(ENABLE_BUILD_HELP_ARCHS)))
@@ -46,8 +51,9 @@
 
 DEB_INSTALL_CHANGELOGS_ALL = CHANGES_5.3.X CHANGES_5.4.X CHANGES_5.5.X
 
-#debian/stamp-autotools-files:
-#	autoreconf
+# Do not run libtoolize because it can mess up with Scilab library
+debian/stamp-autotools-files:
+	autoreconf
 
 common-install-arch::
 # Remove empty directories
@@ -173,5 +179,3 @@
 	[ -s modules/boolean/locales/fr_FR/boolean.po ] || rm -f modules/boolean/locales/fr_FR/boolean.po
 	[ -s modules/intersci/locales/fr_FR/intersci.po ] || rm -f modules/intersci/locales/fr_FR/intersci.po
 	[ -s modules/scilab2fortran/locales/fr_FR/scilab2fortran.po ] || rm -f modules/scilab2fortran/locales/fr_FR/scilab2fortran.po
-	[ -s modules/arnoldi/locales/fr_FR/arnoldi.po ] || rm -f modules/arnoldi/locales/fr_FR/arnoldi.po
-	[ -s modules/scipad/locales/fr_FR/scipad.po ] || rm -f modules/scipad/locales/fr_FR/scipad.po
