## scilab 5.5.1

=== debian/changelog ===
scilab (5.5.1-7) unstable; urgency=medium

  * Team upload.
  * Readd m4-hdf5.patch in d/patches/series, which had been mistakenly
    removed in version 5.5.1-4. Remove hdf5-libsz.diff which has been
    introduced in replacement.
  * Also readd remove-exit.diff.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 01 Mar 2015 10:39:14 +0100

scilab (5.5.1-6) unstable; urgency=medium

  * Team upload.
  * Readd m4-java-ppc64el.patch in d/patches/series. It had been
    mistakenly removed in the previous upload. This fixes the FTBFS on
    ppc64el. (Closes: #776525)
  * Fix a mistake in the above patch concerning bin/scilab. The machine
    name (output of 'uname -m') is ppc64le and not ppc64el. This error
    was making scilab unable to start on ppc64el.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 28 Feb 2015 22:47:24 +0100

scilab (5.5.1-5) unstable; urgency=medium

  * Remove some bashims (Closes: #772410, #772409, #772408)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 08 Dec 2014 15:03:32 +0100

scilab (5.5.1-4) unstable; urgency=medium

  * Set a minimal version on the libjogl2 package
    to avoid FTFBFS (Closes: 769002). The problem
    itself will be address in libjogl2-java (bug 769003)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Nov 2014 11:07:31 +0100

scilab (5.5.1-3) unstable; urgency=medium

  * Fix FTBFS with Jogl 2.2 (Closes: #765118)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Nov 2014 10:54:21 +0100

scilab (5.5.1-2) unstable; urgency=medium

  * Fix a typo in the patch m4-java-ppc64el.patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 07 Oct 2014 10:29:47 +0200

scilab (5.5.1-1) unstable; urgency=medium

  * New upstream release
    - Support of openjdk 8 (Closes: #760931)
  * Support of ppc64el (Closes: #761920)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 02 Oct 2014 13:16:47 +0200

scilab (5.5.0-3) unstable; urgency=medium

  [Gilles Filippini]
  * Team upload (closes: #756698).
  * Support hdf5 1.8.13 new packaging layout.
  * New patch m4-hdf5.patch: fix typo and unneeded dependency on
    inexistant libsz.

  [Sylvestre Ledru]
  * Vcs-* tag fixed

 -- Gilles Filippini <pini@debian.org>  Sat, 02 Aug 2014 12:50:57 +0200
