## scilab 5.5.2

=== DESCRIPTION ===
Toolbox: toolbox_7

Title: Toolbox Test 7

Summary: To test the Atoms system

Version: 1.0

Author: Pierre MARECHAL

Maintainer: Pierre Marechal <pierre.marechal@scilab.org>

Category: Tests

Entity: Consortium Scilab - DIGITEO

WebSite: http://www.scilab.org

URL: http://test.atoms.scilab.org/toolboxes/toolbox_7/1.0

License: CeCILL

ScilabVersion: ~  

Depends: 

Date: 2010-02-01

Description: Test the Atoms system
 
 It contains 4 functions :
  - t7_version()
  - t7_function1()
  - t7_function2()
  - t7_function3()
