=== debian/changelog ===
scilab (5.5.2-2ubuntu3) xenial; urgency=medium

  * Enable debian/patches/fop-2.0.diff again to avoid a FTBFS
    since fop 2.0 is now in Ubuntu.

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 06 Apr 2016 18:32:35 +0200

scilab (5.5.2-2ubuntu2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:48:24 +0000

scilab (5.5.2-2ubuntu1) xenial; urgency=medium

  * Disable debian/patches/fop-2.0.diff in order to build
    with fop 1.1 until fop 2.0 lands in Ubuntu, see LP: #1515361
  * Rebuild against suitesparse 1:4.4.5-2

 -- Graham Inggs <graham@nerve.org.za>  Tue, 01 Dec 2015 12:02:19 +0200

scilab (5.5.2-2) unstable; urgency=medium

  * Team upload.
  * Build against gluegen2 and libjogl2-java 2.3.2 (closes: #791990,
    #798652):
    - New patch libjogl2-java-2.3.2.diff to adapt to jogamp 2.3.2
    - Bump the versioned build-depends and depends on libjogl2-java
      >= 2.3.2
    - Complete patch jvm-archdir-ppc64le.diff to fix bin/scilab.
  * Refresh patch aarch64-detection.patch.

 -- Gilles Filippini <pini@debian.org>  Fri, 30 Oct 2015 00:26:29 +0100

scilab (5.5.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with changed jvm architecure directory on ppc64el.
    Closes: #801060.
  * Fix Aarch64 detection (Martin Michlmayr). Closes: #791539.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Oct 2015 10:02:09 +0200

scilab (5.5.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Three new patches to cope with java libs API changes:
    - xmlgraphics-commons-2.0.diff
    - fop-2.0.diff
    - batik-1.8.diff
    (closes: #800632).

 -- Gilles Filippini <pini@debian.org>  Sat, 03 Oct 2015 10:06:53 +0200

scilab (5.5.2-1) unstable; urgency=medium

  * New upstream release
  * Patches removed (merged upstream):
    - m4-hdf5.patch
    - m4-java-ppc64el.patch
    - remove-exit.diff
    - bashim.diff
    - jogl-2.2.diff

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 01 Apr 2015 11:31:59 +0200
