=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: scilab
 Section: math
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: autoconf, automake, cdbs, debhelper (>= 7), gfortran,
  default-jdk, chrpath, ocaml-nox (>= 3.11.2-3), fakeroot,
@@ -11,7 +12,7 @@
  libblas-dev | librefblas3-dev | libatlas-base-dev, liblapack-dev,
  libarpack2-dev (>= 3.0),
 # Java deps
- libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.0-rc8), libgl1-mesa-dev,
+ libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.3.2), libgl1-mesa-dev,
  libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
  libskinlf-java,
 # graphic
@@ -35,8 +36,8 @@
  ant-optional, junit4, libcobertura-java
 Standards-Version: 3.9.5
 Homepage: http://www.scilab.org
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scilab/trunk/
+Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab/branches/5.5
+Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scilab/branches/5.5
 
 Package: scilab-cli
 Architecture: all
@@ -154,7 +155,7 @@
 Package: scilab-full-bin
 Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
 Depends: ${shlibs:Depends}, scilab-minimal-bin (= ${binary:Version}),
- libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.0-rc8), libjrosetta-java (>= 1.0.1),
+ libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.3.2), libjrosetta-java (>= 1.0.1),
  libjlatexmath-java (>= 1.0.2), libjlatexmath-fop-java (>= 1.0.2),
  libjeuclid-core-java, libbatik-java (>= 1.7), default-jre, bwidget,
  fop (>= 0.95), libsaxon-java, libavalon-framework-java, docbook-xsl,
@@ -254,4 +255,3 @@
  etc...) and comes with a number of specific toolboxes for
  control, signal processing, ...
  .
- This package also provides Xcos, a graphical editor to design hybrid
