=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,10 @@
 	--enable-mpi --disable-static-system-lib
 #	--enable-compilation-tests
 
+ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
+  DEB_CONFIGURE_NORMAL_ARGS += --with-hdf5-include=/usr/include/hdf5/serial \
+	        --with-hdf5-library=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
+endif
 
 # requires ocamlopt
 ifneq (,$(filter $(DEB_HOST_ARCH),arm64 ppc64el mips mipsel s390x sparc))
@@ -177,5 +181,3 @@
 # Remove empty translation files
 	[ -s modules/maple2scilab/locales/fr_FR/maple2scilab.po ] || rm -f modules/maple2scilab/locales/fr_FR/maple2scilab.po
 	[ -s modules/boolean/locales/fr_FR/boolean.po ] || rm -f modules/boolean/locales/fr_FR/boolean.po
-	[ -s modules/intersci/locales/fr_FR/intersci.po ] || rm -f modules/intersci/locales/fr_FR/intersci.po
-	[ -s modules/scilab2fortran/locales/fr_FR/scilab2fortran.po ] || rm -f modules/scilab2fortran/locales/fr_FR/scilab2fortran.po
